DNSRecord.IPv4Address
Date: 2017-02-10

javax.jmdns.impl

## Class DNSRecord.IPv4Address

- java.lang.Object
- - javax.jmdns.impl.DNSEntry
  - - javax.jmdns.impl.DNSRecord
    - - javax.jmdns.impl.DNSRecord.Address
      - - javax.jmdns.impl.DNSRecord.IPv4Address

- Enclosing class:
    DNSRecord

      public static class DNSRecord.IPv4Address
      extends DNSRecord.Address

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.jmdns.impl.DNSRecord

      `DNSRecord.Address, DNSRecord.HostInformation, DNSRecord.IPv4Address, DNSRecord.IPv6Address, DNSRecord.Pointer, DNSRecord.Service, DNSRecord.Text`

  - ### Field Summary

    - ### Fields inherited from class javax.jmdns.impl.DNSRecord

      `EMPTY_TXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceInfo` | `getServiceInfo(boolean persistent)` Return a service information associated with that record if appropriate.

    - ### Methods inherited from class javax.jmdns.impl.DNSRecord.Address

      `getServiceEvent, isSingleValued, toByteArray, toString`

    - ### Methods inherited from class javax.jmdns.impl.DNSRecord

      `equals, getRecordSource, getServiceInfo, getTTL, isExpired, isStale, setRecordSource, setTTL`

    - ### Methods inherited from class javax.jmdns.impl.DNSEntry

      `compareTo, getKey, getName, getQualifiedNameMap, getRecordClass, getRecordType, getSubtype, getType, hashCode, isDomainDiscoveryQuery, isReverseLookup, isSameEntry, isSameRecordClass, isSameType, isServicesDiscoveryMetaQuery, isUnique, isV4ReverseLookup, isV6ReverseLookup, sameSubtype, toByteArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getServiceInfo

          public ServiceInfo getServiceInfo(boolean persistent)

      Description copied from class: `DNSRecord`
      Return a service information associated with that record if appropriate.
      Overrides:
        `getServiceInfo` in class `DNSRecord.Address`
      Parameters:
        `persistent` - if `true` ServiceListener.resolveService will be called whenever new new information is received.
      Returns:
        service information